GET
/api/v202311/widget/actualvsbudget/{specificWidgetId}
Retrieves actual vs budget comparison data for a widget
GetActualVsBudgetV202311
Use this endpoint to get actual-vs-budget data comparing real spending to budgeted amounts.
Supports global dashboard filter overrides.
Path Parameters
| Name |
Description |
Type |
Required |
| specificWidgetId |
Unique numeric identifier of the specific Actual vs Budget widget instance |
integer (int32) |
Required |
Query Parameters
| Name |
Description |
Type |
Required |
| filter |
Optional global dashboard filter that adds to or overrides saved widget filter values |
string (string) |
Optional |
Filters
| Filter |
Description |
Type |
Operators |
| accountId |
|
Integer |
equals
|
| budgetVersionId |
|
Integer |
equals
|
| Channel |
Channel |
String |
equals
|
| chartType |
Chart Type |
String |
equals
|
| commodityCategoryID |
|
Integer |
equals
|
| commodityId |
|
Integer |
equals
|
| cumulative |
Display as Cumulative |
Boolean |
equals
|
| DataPointID |
|
Integer |
equals
|
| emissionSourceId |
|
Integer |
equals
|
| EsaChannelID |
|
Integer |
equals
|
| esaIntervalWidgetGroupBy |
Group By |
String |
equals
|
| includeAccountCharges |
Include Account Charges |
Boolean |
equals
|
| includeAccruals |
Include Accruals |
Boolean |
equals
|
| meterGroupInfo |
Meter Group Display |
String |
equals
|
| meterId |
|
Integer |
equals
|
| numberOfYears |
|
Integer |
equals
|
| placeGroupId |
|
Integer |
equals
|
| placeGroupName |
Place Group Name |
String |
equals
|
| rateId |
|
Integer |
equals
|
| readingDate |
Reading Date |
DateTime |
equals
between
today
yesterday
last 7 days
last 14 days
last 30 days
last 60 days
last 90 days
|
| Schedule |
Schedule |
String |
equals
|
| topmostCollectionId |
|
Integer |
equals
|
| topmostCostCenterId |
|
Integer |
equals
|
| topmostPlaceCode |
Topmost Place Code |
String |
equals
|
| topmostPlaceId |
|
Integer |
equals
|
| topmostPlaceName |
Topmost Place Name |
String |
equals
|
| vendorId |
|
Integer |
equals
|
Responses
Response Body Parameters
ActualVsBudgetResponse
| Property |
Description |
Type |
| budgetPeriodRange |
|
PeriodRange |
|
PeriodRange properties
| Property |
Description |
Type |
| endPeriod |
The end period for the range |
integer (int32) |
| startPeriod |
The start period for the range |
integer (int32) |
|
| entities |
Entity metadata for each series in the response (e.g., commodity name, place, or group) |
TimeSeriesEntity[] |
|
TimeSeriesEntity properties
| Property |
Description |
Type |
| display |
Primary display label for the entity |
string |
| id |
Unique identifier of the entity within its type |
integer (int32) |
| secondaryDisplay |
Secondary display label (e.g., code when name is primary) |
string |
| type |
The grouping type (e.g., “Commodity”, “Place”, “Organization”) |
string |
|
| totals |
|
MonthlyTimeSeriesValue[] |
|
MonthlyTimeSeriesValue properties
| Property |
Description |
Type |
| formattedValue |
|
string |
| id |
|
integer (int32) |
| month |
|
integer (int32) |
| rawValue |
|
number (double) |
| unit |
|
string |
| value |
|
number (double) |
|
| values |
Time series values with date, value, unit, and entity reference |
MonthlyTimeSeriesValue[] |
|
MonthlyTimeSeriesValue properties
| Property |
Description |
Type |
| formattedValue |
|
string |
| id |
|
integer (int32) |
| month |
|
integer (int32) |
| rawValue |
|
number (double) |
| unit |
|
string |
| value |
|
number (double) |
|
{ "budgetPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "entities": [
{ "display": "string", "id": 1, "secondaryDisplay": "string", "type": "string"
}
], "totals": [
{ "formattedValue": "string", "id": 1, "month": 1, "rawValue": 1.0, "unit": "string", "value": 1.0
}
], "values": [
{ "formattedValue": "string", "id": 1, "month": 1, "rawValue": 1.0, "unit": "string", "value": 1.0
}
]
}